import 'package:redux/redux.dart';

import '../actions.dart';

final deviceIdReducer = combineReducers<String?>([
  TypedReducer<String?, UpdateDeviceId>(_updateDeviceId)
]);

String? _updateDeviceId(String? deviceId, action) {
  return action.deviceId;
}